# Anleitung zum Auswerteprogramm PEAK3 #
****************************************

*(Auswertung von Vielkanal-Spektren und Matrizen)*

             04.Okt.1990 K. Huber, Strahlenzentrum Univ. Gießen
             Version 04.Mai.2020

1 Anleitungs-Formate
********************

Diese Anleitung zum PEAK3-Auswerteprogramm steht in verschiedenen
Formaten zur Verfügung.  Die entsprechenden Files finden Sie auf dem
Ionix unter /usr/exp/ex_help oder auf Ihrem Experiment-Account unter
$HOME/ex_home/ex_help:

     peak3.txt   Text-Format, kann z.B. mit ‘a2ps’ in handlichem Format
                 gedruckt werden.
     peak3.dvi   DVI-Format, kann z.B. mit ‘dvips’ auf einem
                 Postscript-Drucker gedruckt werden oder mit ‘xdvi’ auf
                 einem X-Windows Bildschirm dargestellt werden.
     peak3.html  HTML-Format, kann mit jedem HTML-Browser (z.B.
                 ‘netscape’) gelesen werden.
     peak3.info  INFO-Format, kann mit dem ‘GNU-Info-Browser’ (‘info -f
                 peak3.info’) und ‘GNU-emacs’ gelesen werden.  So wird
                 der Info-Browser bedient (Start mit Tastenfolge TAB,
                 ENTER): info.  (Zurück mit L, L, ...).
     peak3.pdf   PDF-Format, mit dem ‘Acrobat-Reader’ zu lesen.

2 Funktion von PEAK3
********************

2.1 Überblick
=============

Das PEAK Programm ist ein allgemeines Auswerteprogramm für
Vielkanal-Spektren und Matrizen im Strahlenzentrumsstandard.

Es bietet folgende Funktionen an:
   • Graphische Darstellung von Spektren mit Vermessungsmöglichkeit
   • Graphische Darstellung von Spektren mit Peak-Integration
   • "Hidden Lines" Darstellung von Matrizen
   • "Contour Plot" Darstellung von Matrizen
   • Rotation von Matrizen um die drei Achsen
   • Ausdrucken der graphischen Darstellungen und der
     Integrationsergebnisse

PEAK ist zur Zeit lauffähig auf folgenden Plattformen:
   • VME Experiment-Rechner-System mit VxWorks Betriebssystem
   • DS5000 Workstations mit Ultrix Betriebssystem (Tutnix, Kannix,
     Hatnix)
   • AlphaServer mit True-64-Unix Betriebssystem (Servix)
   • PC mit Linux Betriebssystem (Atomix)

   Als Bildschirm wird ein *VT240/330/340* Terminal, ein Unix-Host mit
*xterm* oder *dxterm* oder ein PC mit *TeraTerm* benötigt.

2.2 Messdatenformat
===================

*Struktur der PEAK3-Daten-Files*
Die von PEAK3 zu verarbeitenden Spektren müssen dem
Strahlenzentrumsstandard entsprechen d.h.:
   • Sie beginnen mit einem Header von 512 Bytes Länge, der am Anfang
     einen standardisierten Teil enthält und anschließend noch eine
     Reihe weiterer, Messprogramm spezifischer Daten (z.B. Lifetime-,
     Realtime-Zähler usw.).
   • Die Kanäle der Spektren sind als INTEGER*4 (BYTES = 4) deklariert,
     d.h.  jeder Kanal kann ca.  4*10^9 Ereignisse aufnehmen.

           ---
            |
            | Header, 512 Bytes
            |
           ---
            |
            | Spektrum/Matrix, (Anz. Kanäle * 4) Bytes
            |
           ---

   *Struktur der Header Daten:*
(Beispiel für Daten des MCA-Messprogrammes)
     #define lIDHDR 8
     #define lHDLEN 1
     #define lEXPMNT 6
     #define lIDPRG 8
     #define lSTDAT 9
     #define lSTTIM 8
     #define lSPDAT 9
     #define lSPTIM 8
     #define lSPENAM 8
     #define lSPTYPE 4
     #define lROWS 6
     #define lCOLS 6
     #define lBYTES 1
     #define lHDFREE 4
     #define lRESRV 38
     #define lLTXT 4
     #define lTEXT 80
     Plattformabhängige Definitionen:
     UINT2: 2 Bytes "unsigned int"
     UINT4: 4 Bytes "unsigned int"

     typedef union {
         struct {
             struct {
                 char idhdr[lIDHDR];   /* Identification of header: "STRZ-VXW" */
                 char hdlen[lHDLEN];   /* Length of header: "1" */
                 char expmnt[lEXPMNT]; /* Experiment */
                 char idprg[lIDPRG];   /* ID of generating Program: "MCA     " */
                 char stdat[lSTDAT];   /* Date of start */
                 char sttim[lSTTIM];   /* Time of start */
                 char spdat[lSPDAT];   /* Date of stop */
                 char sptim[lSPTIM];   /* Time of stop */
                 char spenam[lSPENAM]; /* Name of spectrum */
                 char sptype[lSPTYPE]; /* Type of spectrum: "MCA1" */
                 char rows[lROWS];     /* Number of rows: "     1" */
                 char cols[lCOLS];     /* Channels/row: " <var>" */
                 char bytes[lBYTES];   /* Bytes/channel: "4" */
                 char hdfree[lHDFREE]; /* First free byte in header (0,...) */
                 char resrv[lRESRV];   /* Reserved */
                 char ltxt[lLTXT];     /* Length of text: "80" */
                 char text[lTEXT];     /* Text */
             } stddat;   /* Standard data of header */
             struct {
                 UINT2 status; /* Status of spectrum */
                 UINT4 rltcnt;        /* Realtime */
                 UINT4 lftcnt;        /* Lifetime */
                 UINT4 datcnt;        /* Processed data */
                 UINT4 outcnt;        /* Data out of range */
                 UINT4 rejcnt;        /* Rejected data */
                 UINT4 fulcnt;        /* Fifo full counter */
                 UINT4 errcnt;        /* Data error counter */
                 INT4 spoffs;         /* Offset in spectrum */
                 UINT2 cmprss;        /* Compression of spectrum */
                 UINT2 hdatid;        /* Data identification */
                 UINT4 runtim;        /* Realtime to run experiment [s] */
             } spcdat;   /* MCA special data of header */
         } hdata;        /* Header data */
         struct {
             char h512[512];         /* Fill 512 bytes block */
         } htotal;        /* Total header */
     } HEADER;

   Der Messprogramm spezifische Datenteil des Headers wird von PEAK3
nicht ausgewertet.

3 Bedienung von PEAK3
*********************

Das Programm ist weitgehend selbsterklärend.  Die notwendigen Eingaben
werden in Dialogform angefordert.  Der Dialog ist in einer
Hierarchiestruktur aufgebaut, wobei mittels Menülisten von einer
Dialogebene in die andere gewechselt werden kann.  Für Parametereingaben
existieren im Allgemeinen Vorbelegungswerte, die editiert werden können.
Die graphischen Bildschirmausgaben werden durch Funktionstasteneingaben
gesteuert.

3.1 PEAK3 Top-Menü
==================

3.1.1 Exit PEAK3
----------------

Verlassen des Programmes.

3.1.2 Show header
-----------------

Zeigt die wichtigsten Daten des Headers, der jedem Spektrum beigefügt
ist.
Es werden jedoch nur die standardisierten Daten dargestellt:

   • *Experiment; Program; Spectrum*
     Name des Experimentes; Name des Programmes; Name des Spektrums.

   • *Title*
     Titelzeile zur Beschreibung des Experimentes.

   • *Start; Stop*
     Startzeit und -datum; Stopzeit und -datum.

   • *Length*
     Anzahl Kanäle des Spektrums, bzw.  Anzahl Zeilen/Spalten der
     Matrix.

3.1.3 Analyse spectrum
----------------------

Einstieg in die Darstellungs- und Peak-Integrations-Funktionen:
  1. Graphische Darstellung von Spektren mit Vermessungsmöglichkeit
     (see Graphische Ausgabe von Spektren.)
  2. Graphische Darstellung von Spektren mit Peak-Integration
     (see Peak-Integration.)
  3. "Hidden Lines" Darstellung von Matrizen
     (see "Hidden Lines" Darstellung von Matrizen.)
  4. "Contour Plot" Darstellung von Matrizen
     (see "Contour Plot" Darstellung von Matrizen.)
  5. Rotation von Matrizen um die drei Achsen
     (see Drehung von Matrizen.)
   Nach dem neuen Laden von Messdaten (Load spectrum) startet PEAK3 im
Falle eines Spektrums Funktion 1 und im Falle einer Matrix Funktion 3.
Mit ^D bzw.  ^I (s.u.)  kann zu einer anderen Funktion gewechselt
werden.  Nach Rückkehr in das Hauptmenü und erneutem Aufruf von "Analyse
spectrum" wird die zuvor benutzte Funktion wieder aktiviert.  Mit ^H
(Control H) können die in den einzelnen Funktionen zur Verfügung
stehenden Kommandos aufgelistet werden.

3.1.4 Load spectrum
-------------------

Laden von neuen Messdaten zur Auswertung.  Die Angabe des Dateinamens
muss im File-Format des Host-Rechners erfolgen, z.B.
~/ex_home/ex_data/test.spe für einen Unix-Host.  Tilde (~) und $HOME
werden als Home-Directory des zugehörigen Accounts verstanden.

3.1.5 Convert spectrum to ASCII
-------------------------------

Das Spektrum wird mit oder ohne Header und mit oder ohne Kanalnummern in
ASCII Form auf einen File geschrieben.

3.1.6 Execute shell command
---------------------------

Ausführung von Shell-Kommandos.  Unter VxWorks (VME-Systeme) steht nur
eine kleine Auswahl von Kommandos zur Verfügung.

3.1.7 Set configuration
-----------------------

Unter diesem Menüpunkt erfolgen alle notwendigen Anpassungen des
Programmes.

        — PEAK3 Konfigurations-Menü —

3.1.8 Help
----------

Bringt diese Anleitung über das menüorientierte GNU-INFO-Programm auf
den Bildschirm.  INFO läuft dabei auf einem Server (z.Z. Ionix).

Wenn INFO mit ’Q’ oder ’q’ normal beendet wird, dann erfolgt die direkte
Rückkehr zum Messprogramm.  Wird INFO jedoch mit ’^C’ abgebrochen, so
bleibt das Login auf dem INFO-Server erhalten und muss mit ’exit’ oder
’logout’ beendet werden!

3.2 PEAK3 Konfigurations-Menü
=============================

Unter diesem Konfigurations-Menü erfolgen alle notwendigen Anpassungen
des Programmes.  Beim allerersten Start des Programmes wird dieser
Menüpunkt stets automatisch aufgerufen.  Danach sollte er nur noch bei
Konfigurationsänderungen benutzt werden.

3.2.1 OK
--------

Rückkehr zum Top-Menü.

3.2.2 Terminals and printers
----------------------------

Dieser Menüpunkt enthält ein Untermenü zum Auswählen eines passenden
Terminals und Druckers bzw.  zur Definition von solchen:
         Select terminal
         Select printer
         Define terminal
         Define printer

   Sollte keines der Terminals oder der Drucker passend sein, so kann
eines der vorhandenen Geräte angepasst werden.  Dazu wird es zuerst
selektiert und dann neu definiert:

   Printer-Definition für einen normalen Netzwerkdrucker
     Comment: LaserJet in 202 (hplaser)
     Command: lpr -Phplaser peak3.tmp; rm peak3.tmp
     File   : peak3.tmp
     Select language (PS)
     Select device type (Printer)

   Printer-Definition für einen lokal am VME-Rechner angeschlossenen
Drucker
     Comment: Printer at MVME1xx Port 2
     Command:
     File   : /tyCo/1
     Select language (HPGL)
     Select device type (File)

   Printer-Definition für einen an einem PC angeschlossenen Drucker
     Comment: Printer at <Server>
     Command: ex_home/ex_prog/PC-print <Server> <Service> <Passwort> peak3.tmp
     File   : peak3.tmp
     Select language (PS)
     Select device type (Printer)

   Printer-Definition für die Erzeugung von Files ohne zu drucken.  Um
nicht jedesmal einen neuen File-Namen definieren zu müssen, können diese
in gewissen Grenzen automatisch generiert werden.  Dazu können bei der
Druckerdefinition im File-Namen folgende Sonderzeichen verwendet werden:
     *  wird ersetzt durch den Namen des Spektrums
     $  wird ersetzt durch den "Graphic Mode" (z.B. HPGL)
     #  wird ersetzt durch eine fortlaufende Nummer
        (Consecutive print number), die bei der Auswahl eines
        Printers neu gesetzt werden kann.
     Comment: ASCII files with unique names
     Command:
     File   : *.$.#
     Select language (ASCII)
     Select device type (FILE)

3.2.3 Startup mode
------------------

Einstellmöglichkeit zur Umgehung des Hauptmenüs beim Start durch ein
anderes Programm.  Das Hauptmenü kann dann nur durch Eingabe von ^Z in
einer der graphischen Funktionen erreicht werden.

3.2.4 Message mode
------------------

Print verbose messages:
Bei Angabe einer "1" werden ausführlichere Meldungen ausgegeben.

   Delay messages:
Gelegentlich wird eine vorausgehende von einer nachfolgenden Meldung so
rasch überschrieben, dass sie nicht gelesen werden kann.  Hier kann für
Meldungen eine Mindestverweilzeit (in Sek.)  auf dem Bildschirm
angegeben werden.  Dies verzögert natürlich die Bedienung des Programmes
und sollte deshalb nur für Testzwecke eingeschaltet werden.

3.3 Graphische Ausgabe von Spektren
===================================

Das Spektrum kann in vielfältiger Weise graphisch dargestellt und
gedruckt werden.  Mit einem Marker kann es vermessen werden.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

     *Exits:*
     CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                       Start von PEAK3,
     CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                       falls von solchem gestartet.
     ^Z Return to main menu        -Rückkehr zum Hauptmenü.
     ^D Show matrix -> Contour Plot -> Rotate matrix -> Show spectrum
                                   -Wechsel zu anderen Darstellungsfunktionen.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.
     ^I Peak integration           -Wechsel zur Peak-Integration.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.
     ^E Energy calibration         -Wechsel zur Energiekalibrierung.
                                       Sorry, gibt's leider noch nicht!

     *Specials:*
     ^T Zero spectrum              -Löschen des dargestellten Spektrums,
     ^T Not available in this context  jedoch nur wenn PEAK3 durch ein Messprogramm
                                       gestartet wurde und die Messung nur ein
                                       "Test-Run" ist.

     *Functions:*
     ^H Help                       -Auflisten der möglichen Kommandos.
     ^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
     ^B Backup parameter set; restore with ^L
                                   -Retten des aktuellen Display-Parametersatzes.
     ^L Load parameter set; saved by ^B
                                   -Laden des zuvor geretteten Parametersatzes.
     ^P Print screen               -druckt den Bildschirminhalt.
     ^R Refresh display with fit to marker
                                   -neuer Bildaufbau, so dass Marker sichbar ist.
     SP Refresh display            -neuer Bildaufbau.

     *Display commands:*
     R  Shift right                -schiebt das Spektrum um 20% nach rechts.
     L  Shift left                 -schiebt das Spektrum um 20% nach links.
     E  Expand X                   -Dehnen der X-Achse um den Faktor 2 mit
                                       dem Vermessungsmarker als Zentrum.
     C  Compress X                 -Stauchen der X-Achse um den Faktor 2 mit
                                       dem Vermessungsmarker als Zentrum.
     U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
     D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
     N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
     F  Full spectrum              -Darstellung des ganzen Spektrums.
     A  All spectra of matrix      -alle Spektren einer Matrix darstellen.
     I  Input                      -numerische Eingabemöglichkeit für
                                       einige Darstellungsparameter.
                                       X-OFFSET = X-Nullpunktsverschiebung
                                       LENGTH = Länge des dargestellten Ausschnitts
                                       Y-OFFSET = Y-Nullpunktsverschiebung (s.h. Y)
     1... Number of spectrum, end with SPACE
                                   -Auswahl eines Spektrums (Zeile) einer Matrix
                                       durch Angabe seiner Nummer 1,2....
                                       Ist die Eingabe kürzer als die max.
                                       mögliche, dann mit <SPACE> abschließen.

     *Display modes:*
     V  Vectors                    -Darstellung durch Vektoren.
     P  Points                     -Darstellung durch Punkte.
     S  Statistical errors         -Fehlerbalken-Darstellung
     H  Histogram                  -Histogramm-Darstellung
     X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
     T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
     B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
     Y  Y-offset on/off (LIN mode only)
                                   -Bei jeder Y-Normierung (N) wird aus den
                                       auftretenden Kanalinhalten ein passender
                                       Y-offset berechnet, dessen Berücksichtigung
                                       bei der Darstellung durch die Eingabe von Y
                                       gesteuert wird. Nur für lineare Darstellung.

     *Marker commands:*
     <Cursor left>  Shift marker left
     <Cursor down>  Shift marker fast left
                                   -Linksschieben des Markers, maximal bis zum
                                       linken Nachbarn.
     <Cursor right>  Shift marker right
     <Cursor up>  Shift marker fast right
                                   -Rechtsschieben des Markers, maximal bis zum
                                       rechten Nachbarn.
     <  Shift marker fast left     -Falls die verwendete Terminalemulation
     >  Shift marker fast right        Probleme mit den Cursor-Tasten hat, können
                                       diese beiden Kommandos helfen. Bei aus-
                                       reichendem Spreizen des Spektrums können
                                       einzelne Kanäle erreicht werden.
     T  Flag on/off                -Ein- und Ausblenden der Markerbeschriftung

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden.  Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.4 Peak Integration
====================

Beim Start der Peak-Integrationsfunktion werden zunächst numerisch die
Position des Peaks, sowie relativ zu dieser, die 6 Integrationsgrenzen
angefordert.  Als Vorbelegung werden die Werte aus einer vorangegangenen
Auswertung angeboten oder für die Peak-Lage die Position des
Vermessungs-Markers der eventuell zuvor genutzten
Spektren-Darstellungs-Funktion.  Anschließend wird das Spektrum
graphische so am Bildschirm dargestellt, dass alle Integrationsgrenzen
zu sehen sind, falls sie nicht außerhalb des Spektrums liegen (im
^J-Modus bleibt die Länge des Spektrumausschnittes jedoch unverändert,
auch wenn dabei nicht alle Grenzen im Bild erscheinen).  Bildausschnitt
und Integrationsgrenzen können danach noch beliebig verändert werden
(s.u.).  Die Marker werden mit den Cursor-Tasten verschoben.  Ist der
Peak-Marker (M0) aktiv, so wird das ganze Marker-Paket simultan
verschoben.  Ist ein Integrations-Marker (M1...M6) aktiv, so wird nur
dieser bewegt.

   *Untergrund- und Peak-Grenzen:*
Die 6 Marker für den linken und rechten Untergrund sowie den zu
integrierenden Peak können nur genau auf einen Kanal des Spektrums
positioniert werden und nicht dazwischen (wie in der alten
PDP11-Version).  Benachbarte Marker können sich nicht überkreuzen, wohl
aber auf den gleichen Kanal positioniert sein.  Die Integrationsgrenzen
reichen einschließlich der Kanäle auf denen die Marker positioniert sind
von:
         M1 - M2    linker Untergrund
         M3 - M4    Peak
         M5 - M6    rechter Untergrund
   Wird in einer Matrix von einem Spektrum zu einem anderen geschaltet,
so wandern die Grenzen mit zu der entsprechenden Position in dem neuen
Spektrum.

   *Untergrundbestimmung:*
Der Untergrund wird linear angenähert.  Zur Berechnung der
Untergrundgeraden werden zwei verschiedene Verfahren angewendet, die bei
unproblematischen Peaks zu etwa gleichen Ergebnissen führen.  Bei
Problemfällen (nichtlinearer Untergrund, Doppelpeaks usw.)  können
wesentliche Unterschiede auftreten, so dass nur eine Begutachtung der
beiden Untergrundgeraden am Bildschirm (mittels ^A) zu brauchbaren
Ergebnissen führen kann.  Für den Fall, dass rechter und linker
Untergrundbereich jeweils nur aus einem Kanal bestehen, liefern beide
Verfahren identische Ergebnisse.

   _Verfahren 1:_ (Untergrund-Fit)
An die Kanäle des linken und rechten Untergrundes zusammen wird eine
Gerade gefittet.  Hierzu wird ein ungewichteter ’least-squares-fit’
verwendet, da ein gewichteter Fit nicht flächentreu ist, und die
Chi-Quadrat-Korrektur (BEV, S248) nur für die beteiligten Kanäle, nicht
jedoch für die Untergrundfläche unter dem Peak gültig ist.  Ferner
stammen bei Vorliegen eines nahezu horizontalen Untergrundes die
Kanalinhalte ohnehin aus der gleichen statistischen Gesamtheit, so dass
ein ungewichteter Fit für einen solchen Fall eher geeignet ist.

   Fehlerrechnung
Es werden zwei Fehlerrechnungen durchgeführt und der größte der beiden
Fehler für weitere Berechnungen verwendet.
   • Fehler 1: Unter der Annahme einer Poisson-Verteilung der
     beteiligten Kanalinhalte, wird als Varianz das Mittel der
     beteiligten Kanalinhalte genommen.
   • Fehler 2: Über die Fehlerquadratsumme wird (falls ausreichend
     Freiheitsgrade vorhanden) die tatsächliche Varianz der beteiligten
     Kanalinhalte bestimmt.
   In beiden Fällen wird anschließend eine Fehlerfortpflanzung von den
Kanälen zu den Geradenparametern gerechnet.  Fehler 1 kommt zum Tragen,
wenn insbesondere bei wenig Freiheitsgraden die Kanäle zufällig sehr
dicht bei der Geraden liegen.  Fehler 2 dominiert, wenn der Untergrund
durch systematische Abweichungen wie Comptonkanten sich von einer
Geraden unterscheidet.

   _Verfahren 2:_ (Canberra-Untergrund (CAN S.33))
Der rechte und der linke Untergrund werden jeweils getrennt für sich in
X und Y gemittelt (ungewichtet).  Durch die so erhaltenen zwei Punkte
wird die Untergrundgerade gelegt.

   Fehlerrechnung
Für dieses Verfahren werden ebenfalls zwei Fehler aus rechnerrischer und
tatsächlicher Varianz berechnet und der größte weiter verwertet.
   • Fehler 1: Unter der Annahme einer Poisson-Verteilung ergibt sich
     als Varianz für linken und rechten Untergrund der jeweilige
     Mittelwert der Kanalinhalte.  Durch Fehlerfortpflanzung werden
     daraus der Fehler des linken bzw.  rechten Untergrundstützpunktes
     berechnet.  Die Fehler der Geradenparameter ergeben sich durch
     Fehlerfortpflanzung aus den Fehlern beider Stützpunkte.
   • Fehler 2: Für linken und rechten Untergrund getrennt wird die
     tatsächliche Varianz durch die Fehlerquadratsumme bezüglich der
     Untergrundgeraden bestimmt.  Dann wird wie bei Fehler 1 verfahren.

   *Berechnung der Peakfläche:*
Die Brutto-Peakfläche wird berechnet durch Aufaddieren aller Kanäle
innerhalb der Peakgrenzen.  Zur Ermittlung der beiden Netto-Peakflächen
werden die durch die beiden Untergrundgeraden gegebenen Flächen unter
dem Peak abgezogen.

   Fehlerrechnung
Um die Fehlerrechnung zu vereinfachen wurde der Nullpunkt der X-Achse
für die beiden Untergrundgeraden y=A+Bx in die Mitte des Peakbereiches
gelegt.  Dann berechnet sich die Untergrundfläche lediglich aus dem
Achsabschnitt A und Korrelationsprobleme zwischen A und B treten bei der
Fehlerrechnung nicht auf.  Der Fehler der Nettofläche ergibt sich dann
nach üblicher Fehlerfortpflanzung zu Wurzel aus der Summe von
Bruttofläche und dem Fehlerquadrat der Untergrundfläche.

   *Berechnung von Peak-Schwerpunkt, -Breite und -Schiefe:*
Der Schwerpunkt (Center) wird nach Abzug des Untergrundes
(Untergrund-Fit) durch gewichtete Mittelung innerhalb der Peakgrenzen
gebildet.

Die Breite (Width) des Peaks wird aus der Streuung um den Schwerpunkt
errechnet (quadratisches Moment) und entspricht der Halbwertsbreite
(FWHM).

Als Schiefe (Skew) des Peaks wird das Verhältnis von kubischem Moment
geteilt durch die Breite hoch 3 angegeben, ist also eine dimensionslose
Angabe relativ zur Breite.  Für einen symmetrischen Paek ist sie null,
bei niederenergetischem Schwanz negativ und bei höherenergetischem
positiv.

Die Fehler werden durch Fehlerfortpflanzung aus den beteiligten
Kanalinhalten berechnet.  Der Fehler der Untergrundgeraden ist dabei
vernachlässigt.

Breite, Schiefe und deren Fehler lassen sich nicht immer berechnen
(negative Wurzelargumente bei schlecht passendem Untergrund) und werden
dann mit null ausgegeben.

BEV:    P. R. Bevington; Data Reduction and Error Analysis
BRA:    S. Brandt; Statistische Methoden der Datenanalyse
CAN:    Canberra Katalog 81-82

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

     *Exits:*
     CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                       Start von PEAK3,
     CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                       falls von solchem gestartet.
     ^Z Return to main menu        -Rückkehr zum Hauptmenü.
     ^D Show spectrum -> Show matrix -> Contour Plot -> Rotate matrix
                                   -Wechsel zu anderen Darstellungsfunktionen.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.

     *Specials:*
     ^T Zero spectrum              -Löschen des dargestellten Spektrums,
     ^T Not available in this context  jedoch nur wenn PEAK3 durch ein Messprogramm
                                       gestartet wurde und die Messung nur ein
                                       "Test-Run" ist.

     *Functions:*
     ^H Help                       -Auflisten der möglichen Kommandos.
     ^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
     ^B Backup parameter set; restore with ^L
                                   -Retten des aktuellen Display-Parametersatzes.
     ^L Load parameter set; saved by ^B
                                   -Laden des zuvor geretteten Parametersatzes.
     ^I Short results on terminal  -schreibt das Integrations-Ergebnis in das
                                       Spektrum, zeichnet die Untergrundgerade.
     ^F Full results on terminal   -Der Peak wird integriert und alle Ergebnisse
                                      werden alphanumerisch auf das Terminal ausgegeben.
     ^P Print screen               -druckt den Bildschirminhalt,
                                       also Spektrum oder Integrations-Ergebnis.
     ^R Refresh display with fit to markers
                                   -neuer Bildaufbau, so dass alle Marker sichtbar sind.
     SP Refresh display            -neuer Bildaufbau für Spektrum, bzw.
                                       neue Peak-Integration nach ^F.
     ^A Show alternate background  -Wechsel zwischen den beiden Untergrundgeraden.
                                      Der aktuelle Untergrund wird durch * bei
                                      der numerischen Ausgabe markiert. (Nach ^I)

     *Display commands:*
     R  Shift right                -schiebt das Spektrum um 20% nach rechts.
     L  Shift left                 -schiebt das Spektrum um 20% nach links.
     E  Expand X                   -Dehnen der X-Achse um den Faktor 2 mit
                                       dem Peak-Marker als Zentrum.
     C  Compress X                 -Stauchen der X-Achse um den Faktor 2 mit
                                       dem Peak-Marker als Zentrum.
     U  Up Y                       -Dehnen der Y-Achse um den Faktor 2.
     D  Down Y                     -Stauchen der Y-Achse um den Faktor 2.
     N  Normalize Y                -Normieren des Y-Maßstabes auf den maximalen Y Wert.
     F  Full spectrum              -Darstellung des ganzen Spektrums.
     A  All spectra of matrix      -alle Spektren einer Matrix darstellen.
     I  Input                      -numerische Eingabemöglichkeit für
                                       die Integrationsgrenzen.
     1... Number of spectrum, end with SPACE
                                   -Auswahl eines Spektrums (Zeile) einer Matrix
                                       durch Angabe seiner Nummer 1,2....
                                       Ist die Eingabe kürzer als die max.
                                       mögliche, dann mit <SPACE> abschließen.

     *Display modes:*
     V  Vectors                    -Darstellung durch Vektoren.
     P  Points                     -Darstellung durch Punkte.
     S  Statistical errors         -Fehlerbalken-Darstellung
     H  Histogram                  -Histogramm-Darstellung
     X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Y
     T  Text on/off                -Ein- und Ausblenden der Markerbeschriftung
     B  Base line on/off           -Ein- und Ausblenden der Nulllinie.
     Y  Y-offset on/off (LIN mode only)
                                   -Bei jeder Y-Normierung (N) wird aus den
                                       auftretenden Kanalinhalten ein passender
                                       Y-offset berechnet, dessen Berücksichtigung
                                       bei der Darstellung durch die Eingabe von Y
                                       gesteuert wird. Nur für lineare Darstellung.

     *Marker commands:*
     M1...M6 Select marker 1...6   -Die Markerpositionierungseingaben wirken nur
                                       auf den gerade aktiven Marker. Mit diesem
                                       Kommando wird einer der sechs Marker (von
                                       links gezählt) zum aktiven Marker erklärt.
                                       Achtung, mehrere Marker können an der glei-
                                       chen Position übereinanderliegen.
     M< Select next marker left    -Marker links vom aktiven Marker wird zum neuen
                                       aktiven Marker.
     M> Select next marker right   -Marker rechts vom aktiven Marker wird zum
                                       neuen aktiven Marker.
     MM Same as M>                 -Wie M>
     <Cursor left>  Shift current marker left
     <Cursor down>  Shift current marker fast left
                                   -Linksschieben des aktiven Markers, maximal
                                       bis zum linken Nachbarn.
     <Cursor right>  Shift current marker right
     <Cursor up>  Shift current marker fast right
                                   -Rechtsschieben des aktiven Markers, maximal
                                       bis zum rechten Nachbarn.
      <  Shift current marker fast left
      >  Shift current marker fast right
                                   -Falls die verwendete Terminalemulation
                                       Probleme mit den Cursor-Tasten hat, können
                                       diese beiden Kommandos helfen. Bei aus-
                                       reichendem Spreizen des Spektrums können
                                       einzelne Kanäle erreicht werden.
     MS  Save current marker positions to spectrum
                                   -Die aktuellen Markerpositionen werden im
                                       Header des Spektrums abgespeichert und
                                       stehen bei einem erneuten Laden des
                                       Spektrums durch PEAK3 wieder zu Verfügung.
     T  Flag on/off                -Ein- und Ausblenden der Markerbeschriftung
     ^J A. Jung special mode on/off
                                   -Bei Eingabe einer neuen Peakposition erfolgt
                                      keine neue Normierung des Bildausschnittes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden.  Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

   *Achtung:*
Falls die Spektrenanalyse auf eine laufende Messung erfolgt, darf es
nicht verwundern, wenn man bei jeder Integration ein neues Ergebnis
erhält, auch wenn der Bildschirm immer das gleiche Bild zeigt, weil die
Darstellung nicht erneuert wurde!

3.5 "Hidden Lines" Darstellung von Matrizen
===========================================

Diese Funktion erlaubt verschiedene Darstellungen von Matrizen z.B.
verschiedene Blickwinkel und verdeckte Linien.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

     *Exits:*
     CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                       Start von PEAK3,
     CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                       falls von solchem gestartet.
     ^Z Return to main menu        -Rückkehr zum Hauptmenü.
     ^D Contour Plot -> Rotate matrix -> Show spectrum -> Show matrix
                                   -Wechsel zu anderen Darstellungsfunktionen.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.

     *Specials:*
     ^T Zero spectrum              -Löschen der dargestellten Matrix,
     ^T Not available in this context  jedoch nur wenn PEAK3 durch ein Messprogramm
                                       gestartet wurde und die Messung nur ein
                                       "Test-Run" ist.

     *Functions:*
     ^H Help                       -Auflisten der möglichen Kommandos.
     ^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
     ^B Backup parameter set; restore with ^L
                                   -Retten des aktuellen Display-Parametersatzes.
     ^L Load parameter set; saved by ^B
                                   -Laden des zuvor geretteten Parametersatzes.
     ^P Print screen               -druckt den Bildschirminhalt.
     ^R Refresh display            -neuer Bildaufbau.
     SP Refresh display            -neuer Bildaufbau.

     *Display commands:*
     E  Expand matrix              -Vermehren der Matrixpunkte um den Faktor 4
                                       durch Auflösen je zweier zuvor zusammen-
                                       gefasster benachbarter Zeilen und Spalten.
     C  Compress matrix            -Reduzieren der Matrixpunkte um den Faktor 4
                                       durch Zusammenfassen je zweier benachbarter
                                       Zeilen und Spalten.
     U  Up Z                       -Dehnen der Z-Achse um den Faktor 2.
     D  Down Z                     -Stauchen der Z-Achse um den Faktor 2.
     N  Normalize Z                -Normieren des Z-Maßstabes auf den maximalen Z Wert.

     *Cursor control keys:*
     <Cursor Right> Increase isometric shift X
                                   -Vergrößert die seitliche Verschiebung
                                       der Zeilen gegeneinander.
     Cursor Left>   Decrease isometric shift X
                                   -Verkleinert die seitliche Verschiebung
                                       der Zeilen gegeneinander.
     <Cursor Up>    Increase isometric shift Y
                                   -Vergrößert den Abstand der Zeilen.
     <Cursor Down>  Decrease isometric shift Y
                                   -Verkleinert den Abstand der Zeilen.

     *Display modes:*
     M  Plot mode: -> Lines plot -> Surface plot -> Grid plot ->
                                   -Darstellungsart:
                                       Liniendarstellung
                                       Oberflächendarstellung
                                       Gitterdarstellung
     H  Hidden lines: -> no -> upper -> lower -> both surfaces ->
                                   -Verdeckte Linien Modus
                                       keine verdeckten Linien
                                       nur Oberseite sichtbar
                                       nur Unterseite sichtbar
                                       beide Seiten sichtbar
     X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Z
     T  Text on/off                -Ein- und Ausblenden des Textes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden.  Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.6 "Contour Plot" Darstellung von Matrizen
===========================================

Graphische Darstellung von Matrizen im Höhenlinienformat.  Angepasst an
das jeweilige Ausgabegerät stehen 2 - 16 Farben bzw.  Graustufen zur
Darstellung zur Verfügung.  Ein Ausdruck entspricht deshalb in den
Farben nicht unbedingt der Darstellung auf dem Bildschirm.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

     *Exits:*
     CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                       Start von PEAK3,
     CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                       falls von solchem gestartet.
     ^Z Return to main menu        -Rückkehr zum Hauptmenü.
     ^D Rotate matrix -> Show spectrum -> Show matrix -> Contour Plot
                                   -Wechsel zu anderen Darstellungsfunktionen.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.

     *Specials:*
     ^T Zero spectrum              -Löschen des bearbeiteten Spektrums,
     ^T Not available in this context  jedoch nur wenn PEAK3 durch ein Messprogramm
                                       gestartet wurde und die Messung nur ein
                                       "Test-Run" ist.

     *Functions:*
     ^H Help                       -Auflisten der möglichen Kommandos.
     ^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
     ^B Backup parameter set; restore with ^L
                                   -Retten des aktuellen Display-Parametersatzes.
     ^L Load parameter set; saved by ^B
                                   -Laden des zuvor geretteten Parametersatzes.
     ^P Print screen               -druckt den Bildschirminhalt.
     ^R Refresh display            -neuer Bildaufbau.
     SP Refresh display            -neuer Bildaufbau.

     *Display commands:*
     E  Expand matrix              -Vermehren der Matrixpunkte um den Faktor 4
                                       durch Auflösen je zweier zuvor zusammen-
                                       gefasster benachbarter Zeilen und Spalten.
     C  Compress matrix            -Reduzieren der Matrixpunkte um den Faktor 4
                                       durch Zusammenfassen je zweier benachbarter
                                       Zeilen und Spalten.
     U  Up Z                       -Dehnen der Z-Achse um den Faktor 1.2.
     D  Down Z                     -Stauchen der Z-Achse um den Faktor 1.2.
     N  Normalize Z                -Normieren des Z-Maßstabes auf den maximalen Z Wert.

     *Display modes:*
     X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Z
     T  Text on/off                -Ein- und Ausblenden des Textes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden.  Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.

3.7 Drehung von Matrizen
========================

Mit dieser Funktion koennen Matrizen um die drei Achsen rotiert werden.

   Folgende Kommandos, die auch mit ^H online gelistet werden können,
stehen zur Verfügung:

     *Exits:*
     CR Return to main menu        -Rückkehr zum Hauptmenü bei direktem
                                       Start von PEAK3,
     CR Return to parent task      -bzw. Rückkehr zum aufrufenden Programm,
                                       falls von solchem gestartet.
     ^Z Return to main menu        -Rückkehr zum Hauptmenü.
     ^D Show spectrum -> Show matrix -> Contour Plot -> Rotate matrix
                                   -Wechsel zu anderen Darstellungsfunktionen.
                                       Dort gibt es ein eigenes Help,
                                       das mit ^H abgerufen werden kann.

     *Specials:*
     ^T Zero spectrum              -Löschen der dargestellten Matrix,
     ^T Not available in this context  jedoch nur wenn PEAK3 durch ein Messprogramm
                                       gestartet wurde und die Messung nur ein
                                       "Test-Run" ist.

     *Functions:*
     ^H Help                       -Auflisten der möglichen Kommandos.
     ^N Normalize all parameters   -Einstellen eines Standard-Display-Parametersatzes.
     ^B Backup parameter set; restore with ^L
                                   -Retten des aktuellen Display-Parametersatzes.
     ^L Load parameter set; saved by ^B
                                   -Laden des zuvor geretteten Parametersatzes.
     ^P Print screen               -druckt den Bildschirminhalt.
     ^R Refresh display            -neuer Bildaufbau.
     SP Refresh display            -neuer Bildaufbau.

     *Display commands:*
     E  Expand matrix              -Vermehren der Matrixpunkte um den Faktor 4
                                       durch Auflösen je zweier zuvor zusammen-
                                       gefasster benachbarter Zeilen und Spalten.
     C  Compress matrix            -Reduzieren der Matrixpunkte um den Faktor 4
                                       durch Zusammenfassen je zweier benachbarter
                                       Zeilen und Spalten.
     U  Up Z                       -Dehnen der Z-Achse um den Faktor 2.
     D  Down Z                     -Stauchen der Z-Achse um den Faktor 2.
     N  Normalize Z                -Normieren des Z-Maßstabes auf den maximalen Z Wert.
     1  Rotate X-axis              -Rotieren um die X-Achse
     2  Rotate Y-axis              -Rotieren um die Y-Achse
     3  Rotate Z-axis              -Rotieren um die Z-Achse

     *Display modes:*
     X  LIN/LOG mode               -Lineare/logarithmische Darstellung in Z
     T  Text on/off                -Ein- und Ausblenden des Textes.

   Kanäle und Spektren zählen von 1.

   Alle Kommandos können während des laufenden Bildaufbaus gegeben
werden.  Dieser wird dadurch unterbrochen und das neue Kommando
ausgeführt.